package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["annual-lottery/controllers:BaseController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:BaseController"],
		beego.ControllerComments{
			Method: "UploadFile",
			Router: `/file`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "Draw",
			Router: `/draw`,
			AllowHTTPMethods: []string{"post"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "ExportWinners",
			Router: `/excel/winner`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "PrizeList",
			Router: `/prize`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "PrizeEdit",
			Router: `/prize/?:id`,
			AllowHTTPMethods: []string{"post","put","delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "PrizeSettingList",
			Router: `/setting/prize`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "PrizeSetting",
			Router: `/setting/prize/?:id`,
			AllowHTTPMethods: []string{"post","put","delete"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "UserList",
			Router: `/user`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "WinnerList",
			Router: `/winner`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"] = append(beego.GlobalControllerRouter["annual-lottery/controllers:LotteryController"],
		beego.ControllerComments{
			Method: "CancelWinner",
			Router: `/winner/:uid`,
			AllowHTTPMethods: []string{"delete"},
			MethodParams: param.Make(),
			Params: nil})

}
